org.keycloak.examples.federation.properties

## Class ClasspathPropertiesFederationFactory

- java.lang.Object
- - org.keycloak.examples.federation.properties.BasePropertiesFederationFactory
  - - org.keycloak.examples.federation.properties.ClasspathPropertiesFederationFactory

- All Implemented Interfaces:
    UserFederationProviderFactory, ProviderFactory<UserFederationProvider>

      public class ClasspathPropertiesFederationFactory
      extends BasePropertiesFederationFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_NAME`

    - ### Fields inherited from class org.keycloak.examples.federation.properties.BasePropertiesFederationFactory

      `files`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClasspathPropertiesFederationFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BasePropertiesFederationProvider` | `createProvider(KeycloakSession session, UserFederationProviderModel model, Properties props)`
    `String` | `getId()` This is the name of the provider and will be showed in the admin console as an option.
    `protected InputStream` | `getPropertiesFileStream(String path)`

    - ### Methods inherited from class org.keycloak.examples.federation.properties.BasePropertiesFederationFactory

      `close, create, getConfigurationOptions, getInstance, init, syncAllUsers, syncChangedUsers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_NAME

          public static final String PROVIDER_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClasspathPropertiesFederationFactory

          public ClasspathPropertiesFederationFactory()

  - ### Method Detail

    - #### createProvider

          protected BasePropertiesFederationProvider createProvider(KeycloakSession session,
                                                        UserFederationProviderModel model,
                                                        Properties props)

      Specified by:
        `createProvider` in class `BasePropertiesFederationFactory`

    - #### getPropertiesFileStream

          protected InputStream getPropertiesFileStream(String path)

      Specified by:
        `getPropertiesFileStream` in class `BasePropertiesFederationFactory`

    - #### getId

          public String getId()

      Description copied from interface: `UserFederationProviderFactory`
      This is the name of the provider and will be showed in the admin console as an option.

Copyright © 2014. All Rights Reserved.